/*
 * Ubiquity REST API
 *
 * Ubiquity provides a RESTful and uniform way to access blockchain resources, with a rich and reusable model across multiple cryptocurrencies.  [Documentation](https://app.blockdaemon.com/docs/ubiquity)  ### Protocols #### Mainnet The following protocols are currently supported: * bitcoin * ethereum * polkadot * xrp * algorand * stellar * dogecoin * oasis * stacks  #### Testnet * bitcoin/testnet * ethereum/ropsten * dogecoin/testnet  ##### Pagination Certain resources contain a lot of data, more than what's practical to return for a single request. With the help of pagination, the data is split across multiple responses. Each response returns a subset of the items requested and a continuation token.  To get the next batch of items, copy the returned continuation token to the continuation query parameter and repeat the request with the new URL. In case no continuation token is returned, there is no more data available. 
 *
 * The version of the OpenAPI document: 2.0.0
 * Contact: support@blockdaemon.com
 * Generated by: https://openapi-generator.tech
 */




#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct AlgorandMeta {
    #[serde(rename = "type", skip_serializing_if = "Option::is_none")]
    pub _type: Option<String>,
    #[serde(rename = "sender_reward", skip_serializing_if = "Option::is_none")]
    pub sender_reward: Option<String>,
    #[serde(rename = "recipient_reward", skip_serializing_if = "Option::is_none")]
    pub recipient_reward: Option<String>,
    #[serde(rename = "close", skip_serializing_if = "Option::is_none")]
    pub close: Option<String>,
    #[serde(rename = "close_amount", skip_serializing_if = "Option::is_none")]
    pub close_amount: Option<String>,
    #[serde(rename = "close_reward", skip_serializing_if = "Option::is_none")]
    pub close_reward: Option<String>,
}

impl AlgorandMeta {
    pub fn new() -> AlgorandMeta {
        AlgorandMeta {
            _type: None,
            sender_reward: None,
            recipient_reward: None,
            close: None,
            close_amount: None,
            close_reward: None,
        }
    }
}


